PHPExcel

# Class: PHPExcel_DocumentSecurity

Source Location: /PHPExcel/DocumentSecurity.php

### Class Overview

PHPExcel_DocumentSecurity

#### Author(s):

#### Copyright:

- Copyright (c) 2006 - 2012 PHPExcel (http://www.codeplex.com/PHPExcel)

### Methods

- __construct
- getLockRevision
- getLockStructure
- getLockWindows
- getRevisionsPassword
- getWorkbookPassword
- isSecurityEnabled
- setLockRevision
- setLockStructure
- setLockWindows
- setRevisionsPassword
- setWorkbookPassword
- __clone

### Class Details

[line 36]
PHPExcel_DocumentSecurity

#### Tags:

copyright: | Copyright (c) 2006 - 2012 PHPExcel (http://www.codeplex.com/PHPExcel)

[ Top ]

### Class Methods

### constructor __construct [line 76]

`PHPExcel_DocumentSecurity __construct( )`

Create a new PHPExcel_DocumentSecurity

#### Tags:

access: | public

[ Top ]

### method getLockRevision [line 102]

`boolean getLockRevision( )`

Get LockRevision
[ Top ]

### method getLockStructure [line 122]

`boolean getLockStructure( )`

Get LockStructure
[ Top ]

### method getLockWindows [line 142]

`boolean getLockWindows( )`

Get LockWindows
[ Top ]

### method getRevisionsPassword [line 162]

`string getRevisionsPassword( )`

Get RevisionsPassword (hashed)
[ Top ]

### method getWorkbookPassword [line 186]

`string getWorkbookPassword( )`

Get WorkbookPassword (hashed)
[ Top ]

### method isSecurityEnabled [line 91]

`boolean isSecurityEnabled( )`

Is some sort of dcument security enabled?
[ Top ]

### method setLockRevision [line 112]

`PHPExcel_DocumentSecurity setLockRevision( [boolean $pValue = false])`

Set LockRevision

#### Parameters:

boolean | $pValue |

[ Top ]

### method setLockStructure [line 132]

`PHPExcel_DocumentSecurity setLockStructure( [boolean $pValue = false])`

Set LockStructure

#### Parameters:

boolean | $pValue |

[ Top ]

### method setLockWindows [line 152]

`PHPExcel_DocumentSecurity setLockWindows( [boolean $pValue = false])`

Set LockWindows

#### Parameters:

boolean | $pValue |

[ Top ]

### method setRevisionsPassword [line 173]

`PHPExcel_DocumentSecurity setRevisionsPassword( [string $pValue = ''], [boolean $pAlreadyHashed = false])`

Set RevisionsPassword

#### Parameters:

string | $pValue |
boolean | $pAlreadyHashed | If the password has already been hashed, set this to true

[ Top ]

### method setWorkbookPassword [line 197]

`PHPExcel_DocumentSecurity setWorkbookPassword( [string $pValue = ''], [boolean $pAlreadyHashed = false])`

Set WorkbookPassword

#### Parameters:

string | $pValue |
boolean | $pAlreadyHashed | If the password has already been hashed, set this to true

[ Top ]

### method __clone [line 208]

`void __clone( )`

Implement PHP __clone to create a deep clone, not just a shallow copy.

#### Tags:

access: | public

[ Top ]

Documentation generated on Fri, 12 Oct 2012 00:15:47 +0200 by phpDocumentor 1.4.4